Search OpenFDA NDC products
curl --request GET \
--url https://api-dev.rcintell.com/v1/drugs/ndc/search \
--header 'X-API-Key: <api-key>'import requests
url = "https://api-dev.rcintell.com/v1/drugs/ndc/search"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api-dev.rcintell.com/v1/drugs/ndc/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"total_count": 123,
"reliability": {
"generated_at": "<string>",
"data_sources": {},
"dataset_versions": {},
"degraded": false,
"warnings": [
"<string>"
]
},
"results": [
{
"product_ndc": "<string>",
"spl_id": "<string>",
"application_number": "<string>",
"brand_name": "<string>",
"dosage_form": "<string>",
"finished": true,
"generic_name": "<string>",
"labeler_name": "<string>",
"listing_expiration_date": "<string>",
"marketing_category": "<string>",
"marketing_start_date": "<string>",
"openfda_manufacturer_name": "<string>",
"openfda_rxcui": "<string>",
"openfda_unii": "<string>",
"product_id": "<string>",
"product_type": "<string>",
"route": "<string>"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}drugs
Search OpenFDA NDC products
Search normalized OpenFDA NDC product data by product NDC, brand name, generic name, or labeler. Intended for medication normalization and services-schema enrichment workflows.
Regulatory note: OpenFDA data is provided for integration support and must not be the sole basis for clinical decisions.
GET
/
v1
/
drugs
/
ndc
/
search
Search OpenFDA NDC products
Authorizations
Query Parameters
Search by product NDC, brand, generic, or labeler.
Minimum string length:
2Maximum number of products to return (1-100).
Required range:
1 <= x <= 100